<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionOpenDoors Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dbe/class_action_open_doors.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionOpenDoors Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionOpenDoors:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/dbe/class_action_open_doors.png" usemap="#ActionOpenDoors_map" alt=""/>
  <map id="ActionOpenDoors_map" name="ActionOpenDoors_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="0,0,118,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa0c19c646219955422f3e6ee555be590"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#aa0c19c646219955422f3e6ee555be590">ActionOpenDoors</a> ()</td></tr>
<tr class="separator:aa0c19c646219955422f3e6ee555be590"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e272106418e006224ac50a557b4f1d4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#a6e272106418e006224ac50a557b4f1d4">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a6e272106418e006224ac50a557b4f1d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a936bffad3cc25aad7288cf8a2decc2b9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#a936bffad3cc25aad7288cf8a2decc2b9">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a936bffad3cc25aad7288cf8a2decc2b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af53e1a22e23e62ed9fb1de08bd738aad"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#af53e1a22e23e62ed9fb1de08bd738aad">OnStartServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af53e1a22e23e62ed9fb1de08bd738aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07c7424fc14f8e6b2e1dcdd367dff2cb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#a07c7424fc14f8e6b2e1dcdd367dff2cb">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a07c7424fc14f8e6b2e1dcdd367dff2cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5f9ea738e08cd0f442d863c3938efdc7"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/class_action_open_doors.html#a5f9ea738e08cd0f442d863c3938efdc7">m_NoisePar</a></td></tr>
<tr class="separator:a5f9ea738e08cd0f442d863c3938efdc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa0c19c646219955422f3e6ee555be590" name="aa0c19c646219955422f3e6ee555be590"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0c19c646219955422f3e6ee555be590">&#9670;&#160;</a></span>ActionOpenDoors()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionOpenDoors::ActionOpenDoors </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a936bffad3cc25aad7288cf8a2decc2b9" name="a936bffad3cc25aad7288cf8a2decc2b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a936bffad3cc25aad7288cf8a2decc2b9">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionOpenDoors::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00018">18</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<a id="a6e272106418e006224ac50a557b4f1d4" name="a6e272106418e006224ac50a557b4f1d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e272106418e006224ac50a557b4f1d4">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionOpenDoors::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<a id="a07c7424fc14f8e6b2e1dcdd367dff2cb" name="a07c7424fc14f8e6b2e1dcdd367dff2cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07c7424fc14f8e6b2e1dcdd367dff2cb">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionOpenDoors::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00053">53</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<a id="af53e1a22e23e62ed9fb1de08bd738aad" name="af53e1a22e23e62ed9fb1de08bd738aad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af53e1a22e23e62ed9fb1de08bd738aad">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionOpenDoors::OnStartServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00040">40</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a5f9ea738e08cd0f442d863c3938efdc7" name="a5f9ea738e08cd0f442d863c3938efdc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f9ea738e08cd0f442d863c3938efdc7">&#9670;&#160;</a></span>m_NoisePar</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> ActionOpenDoors::m_NoisePar</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../d2/d69/_action_open_doors_8c_source.html">ActionOpenDoors.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/dbe/class_action_open_doors.html">ActionOpenDoors</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
